Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	PolicyKit Authorization Framework
Name: 		polkit
Version: 	0.95
Release: 	3
BuildArch:	i686
License: 	LGPLv2+
URL: 		http://www.freedesktop.org/wiki/Software/PolicyKit
Source0: 	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
Group: 		System/Libraries
BuildRequires: 	glib-devel
BuildRequires: 	expat-devel
BuildRequires: 	pam-devel
BuildRequires: 	eggdbus-devel >= 0.6
BuildRequires: 	gtk-doc
BuildRequires: 	intltool
BuildRequires: 	gobject-introspection-devel dbus-glib-devel dbus-devel docbook-style-xsl docbook-dtds
BuildRequires:  libxml2-devel
BuildRequires:	zlib-devel

Requires: 	ConsoleKit >= 0.4.1
Requires: 	dbus

Obsoletes: 	PolicyKit <= 0.10
Provides: 	PolicyKit = 0.11

%description
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

%package devel
Summary: 	Development files for PolicyKit
Group: 		Development/Libraries
Requires: 	%name = %{version}-%{release}
Requires: 	pkgconfig
Requires: 	glib-devel
Obsoletes: 	PolicyKit-devel <= 0.10
Provides: 	PolicyKit-devel = 0.11

%description devel
Development files for PolicyKit.

%package desktop-policy
Summary: 	Roles and default policy for desktop usage
Group: 		Development/Libraries
#Requires: %name = %{version}-%{release}
Requires(pre): /usr/sbin/groupadd
Requires(preun): /usr/sbin/groupdel
BuildArch: noarch

%description desktop-policy
Roles and default policy for desktop usage.

%prep
%setup -q

%build
%configure --enable-gtk-doc --disable-static --libexecdir=%{_libexecdir}/polkit-1 --enable-introspection --enable-examples
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang polkit-1

###
### BEGIN DESKTOP POLICY CONFIGURATION ###
###

cat > $RPM_BUILD_ROOT%{_sysconfdir}/polkit-1/localauthority.conf.d/60-desktop-policy.conf << EOF
# This allows users in the desktop_admin_r group to authenticate as
# the administrator.
#
# DO NOT EDIT THIS FILE, it will be overwritten on update.

[Configuration]
AdminIdentities=unix-group:desktop_admin_r
EOF

cat > $RPM_BUILD_ROOT%{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d/10-desktop-policy.pkla << EOF
# Authorizations/policy for the desktop_admin_r and desktop_user_r groups.
#
# DO NOT EDIT THIS FILE, it will be overwritten on update.

# Allow "standard users" to do some things without being interrupted by
# password dialogs (TODO: not complete)
#
[Desktop User Permissions]
Identity=unix-group:desktop_user_r
Action=org.gnome.clockapplet.mechanism.settimezone
ResultAny=no
ResultInactive=no
ResultActive=yes

# Allow "administrative users" to do a lot of things without being interrupted by
# password dialogs (TODO: not complete)
#
[Desktop Administrator Permissions]
Identity=unix-group:desktop_admin_r
Action=org.gnome.clockapplet.mechanism.*;org.freedesktop.devicekit.disks.*;org.freedesktop.RealtimeKit1.*
ResultAny=no
ResultInactive=no
ResultActive=yes

EOF

###
### END DESKTOP POLICY CONFIGURATION
###

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%pre desktop-policy
/usr/sbin/groupadd -r desktop_admin_r 2> /dev/null || :
/usr/sbin/groupadd -r desktop_user_r 2> /dev/null || :

%files desktop-policy
%{_sysconfdir}/polkit-1/localauthority.conf.d/60-desktop-policy.conf
%{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d/10-desktop-policy.pkla

%files -f polkit-1.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libpolkit-agent-1.so.*
%{_libdir}/libpolkit-backend-1.so.*
%{_libdir}/libpolkit-gobject-1.so.*
%dir %{_libdir}/polkit-1
%dir %{_libdir}/polkit-1/extensions
%{_libdir}/polkit-1/extensions/*.so
%{_mandir}/man1/pkaction.1.gz
%{_mandir}/man1/pkcheck.1.gz
%{_mandir}/man1/pkexec.1.gz
%{_mandir}/man8/pklocalauthority.8.gz
%{_mandir}/man8/polkit.8.gz
%{_mandir}/man8/polkitd.8.gz
%{_datadir}/dbus-1/system-services/*
%dir %{_datadir}/polkit-1/
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%{_sysconfdir}/pam.d/polkit-1
%{_sysconfdir}/polkit-1
%{_bindir}/pkaction
%{_bindir}/pkcheck
%{_libexecdir}/polkit-1/polkitd
%{_libdir}/girepository-1.0/*.typelib

# see upstream docs for why these permissions are necessary
%attr(4755,root,root) %{_bindir}/pkexec
%attr(4755,root,root) %{_libexecdir}/polkit-1/polkit-agent-helper-1

%attr(0700,root,root) %dir %{_localstatedir}/lib/polkit-1/
%dir %{_localstatedir}/lib/polkit-1/localauthority
%dir %{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/20-org.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/30-site.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/50-local.d
%dir %{_localstatedir}/lib/polkit-1/localauthority/90-mandatory.d

%files devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/polkit-1/
%{_libdir}/libpolkit-agent-1.so
%{_libdir}/libpolkit-agent-1.la
%{_libdir}/libpolkit-backend-1.so
%{_libdir}/libpolkit-backend-1.la
%{_libdir}/libpolkit-gobject-1.so
%{_libdir}/libpolkit-gobject-1.la
%{_libdir}/polkit-1/extensions/*.la
%{_pkgconfig}/polkit-agent-1.pc
%{_pkgconfig}/polkit-backend-1.pc
%{_pkgconfig}/polkit-gobject-1.pc
%{_datadir}/gir-1.0/*.gir
%{_includedir}/polkit-1/polkit
%{_includedir}/polkit-1/polkitagent
%{_includedir}/polkit-1/polkitbackend
%{_bindir}/pk-example-frobnicate
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.examples.pkexec.policy


%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.95-3
- rebuilt
* Mon Nov 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.95-2
- update to 0.95 final release
- dropped upstream patches
- edited file list
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.95-1
- Initial CCux package release
